API Resources

GET
/v3/identify

(공급업체, 제품, 버전) 쿼리와 관련된 요청 식별자

VulnCheck는 (공급업체, 제품, 버전) 쿼리를 변환하고 가장 잘 일치하는 CPE 및 PURL 식별자를 반환합니다.

경로 매개변수

vendor
string
이 속성의 값은 해당 제품을 제조하거나 만든 개인 또는 조직을 설명하거나 식별해야 합니다. 잘 구성된 이름(WFN) 요구 사항을 충족하는 모든 문자열을 속성 값으로 지정할 수 있습니다.
product
string
시스템/패키지/구성요소의 이름입니다. 제품과 공급업체가 동일한 경우도 있습니다. 공백, 슬래시 또는 대부분의 특수문자는 사용할 수 없습니다. 공백 문자 대신 밑줄을 사용해야 합니다.
version
string
시스템/패키지/구성요소의 버전입니다. 일반적으로 의미적 버전 문자열이지만 공급업체에 따라 다를 수 있습니다.

요청 예시

curl --request GET \
    --url 'https://api.vulncheck.com/v3/identify?vendor=microsoft%20corporation&product=office%202016' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer insert_token_here'

응답

[
  {
    "identity": {
      "part": "a",
      "vendor": "microsoft",
      "product": "office",
      "version": "2016",
      "year": "2016"
    },
    "attributes": {
      "update": "*",
      "edition": "*",
      "language": "*",
      "sw_edition": "*",
      "target_sw": "*",
      "target_hw": "*",
      "other": "*"
    },
    "normalized": {
      "title": "Office 2016",
      "version": "2016"
    },
    "identifiers": {
      "cpe": [
        {
          "value": "cpe:2.3:a:microsoft:office:2016:*:*:*:*:*:*:*",
          "confidence": {
            "level": "medium",
            "source": "inference"
          },
          "aliases": []
        }
      ],
      "purl": []
    },
    "suggestions": {
      "cpe": [],
      "purl": []
    },
    "lifecycle": {
      "created_at": "2025-09-12T16:53:23.307436"
    }
  }
]